cdac.medinfo.sdk.hl7282.baselibs

## Class SN

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.SN

- All Implemented Interfaces:
    IDataType

      public class SN
      extends CompositeDataType

  SN - Structured numeric

  This data type is used to unambiguously express numeric clinical results along with qualifications.

  Represents an HL7 SN data type. This data type has the following attributes:

  1. Comparator (ST)Optional
  2. Num1 (NM)Optional
  3. Separator/Suffix (ST)Optional
  4. Num2 (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SN()` Default Constructor for SN
    `SN(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for SN class which takes two arguments and sets the value in the respective member variable.
    `SN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for SN class which takes five arguments and sets the value in the respective member variable.
    `SN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for SN class which takes six arguments and sets the value in the respective member variable.
    `SN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `SN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for SN class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getComparator()` Returns Comparator
    `NM` | `getNum1()` Returns Num1
    `NM` | `getNum2()` Returns Num2
    `ST` | `getSeparatorSuffix()` Returns Separator/Suffix
    `void` | `setComparator(ST objST)` Sets the Comparator.
    `void` | `setComparator(java.lang.String strComparator)` Sets the Comparator.
    `void` | `setNum1(NM objNM)` Sets the Num1.
    `void` | `setNum1(java.lang.String strNum1)` Sets the Num1.
    `void` | `setNum2(NM objNM)` Sets the Num2.
    `void` | `setNum2(java.lang.String strNum2)` Sets the Num2.
    `void` | `setSeparatorSuffix(ST objST)` Sets the SeparatorSuffix.
    `void` | `setSeparatorSuffix(java.lang.String strSeparatorSuffix)` Sets the SeparatorSuffix.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SN

          public SN()

      Default Constructor for SN

    - #### SN

          public SN(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SN

          public SN(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for SN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SN

          public SN(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for SN class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SN

          public SN(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for SN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SN

          public SN(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for SN class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setComparator

          public void setComparator(java.lang.String strComparator)

      Sets the Comparator.
      Parameters:
        `strComparator` - Defined as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively ( ">" or "<" or ">=" or "<=" or "=" or "<>" ).

    - #### setComparator

          public void setComparator(ST objST)

      Sets the Comparator.
      Parameters:
        `objST` - Defined as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively ( ">" or "<" or ">=" or "<=" or "=" or "<>" ).

    - #### setNum1

          public void setNum1(java.lang.String strNum1)

      Sets the Num1.
      Parameters:
        `strNum1` - Specifies a number.

    - #### setNum1

          public void setNum1(NM objNM)

      Sets the Num1.
      Parameters:
        `objNM` - Specifies a number.

    - #### setSeparatorSuffix

          public void setSeparatorSuffix(java.lang.String strSeparatorSuffix)

      Sets the SeparatorSuffix.
      Parameters:
        `strSeparatorSuffix` - Specifies separator suffix such as ( "-" or "+" or "/" or "." or ":" ).

    - #### setSeparatorSuffix

          public void setSeparatorSuffix(ST objST)

      Sets the SeparatorSuffix.
      Parameters:
        `objST` - Specifies separator suffix such as ( "-" or "+" or "/" or "." or ":" ).

    - #### setNum2

          public void setNum2(java.lang.String strNum2)

      Sets the Num2.
      Parameters:
        `strNum2` - Specifies a number or null depending on the measurement.

    - #### setNum2

          public void setNum2(NM objNM)

      Sets the Num2.
      Parameters:
        `objNM` - Specifies a number or null depending on the measurement.

    - #### getComparator

          public ST getComparator()

      Returns Comparator
      Returns:
        ST - Data Type

    - #### getNum1

          public NM getNum1()

      Returns Num1
      Returns:
        NM - Data Type

    - #### getSeparatorSuffix

          public ST getSeparatorSuffix()

      Returns Separator/Suffix
      Returns:
        ST - Data Type

    - #### getNum2

          public NM getNum2()

      Returns Num2
      Returns:
        NM - Data Type

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.